function fish_colors --description 'Print the fish color variables'
    set --local plain 0
    if contains -- '--plain' $argv
        set plain 1
    end

    for i in (set -n | string match 'fish*_color*')
        if test $plain -eq 1
            echo $i $$i
        else
            echo $i (set_color $$i)$$i(set_color normal)
        end
    end
end
